import React, { Component } from 'react';
import { StyleSheet, Text, View, Button } from 'react-native';

export default class MagasinScreen extends Component {
  static navigationOptions = {
    title: 'Magasin'
  };

  constructor(props) {
    super(props);
    this.state = {
      compte: this.props.navigation.getParam('compte', 0)
    };
  }

  _onPressButton(prix) {
    this.props.navigation.state.params.onGoBack(this.state.compte - prix);
    this.props.navigation.goBack();
  }

  render() {
    return (
      <View style={styles.container}>
        <Text>Magasin</Text>
        <Button title='Retirer 10$$' onPress={() => this._onPressButton(10)} />
        <Button title='Retirer 20$$' onPress={() => this._onPressButton(20)} />
        <Button title='Retirer 30$$' onPress={() => this._onPressButton(30)} />
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center'
  }
});
